package server

import (
	`errors`
)

var (
	ErrEmptyUA           error = errors.New("empty user agent string")
	ErrIncompatFieldType error = errors.New("a field type was passed that is incompatible with the target type")
	ErrInvalidAccept     error = errors.New("an Accept header was encountered that does not conform to RFC 9110§12.5.1/IANA format")
	ErrInvalidScheme     error = errors.New("invalid scheme for listener; must be 'unix', 'tcp', or 'http'")
	ErrNoArgs            error = errors.New("no args.Args passed to server creation")
	ErrPtrNeeded         error = errors.New("structs passed to reflection must be pointers")
	ErrStructNeeded      error = errors.New("pointers passed to reflection must point to structs")
	ErrUnhandledField    error = errors.New("unhandled field type passed to reflection")
	ErrUnsupportedMIME   error = errors.New("unsupported MIME type(s)")
)
