{{- /*gotype: r00t2.io/clientinfo/server.Page*/ -}}
{{- define "about" }}
{{- $page := . -}}
{{- $linkico := "🔗" }}
{{ template "meta.top" $page }}
				<div class="jumbotron">
					<h1>About</h1>
				</div>
				<p>
					This is a tool to reveal certain information about your connection that the server sees.
					Note that all of this information you see is <i>sent by your client</i>;
					there was no probing/scanning or the like done from the server this site is hosted on.
				</p>
				<p>
					If you don't like this info being available to server administrators of the websites
					you visit you may want to consider:
					<ul>
						<li><a href="https://www.torproject.org/">hiding your client IP address</a></li>
						<li>
							<a href="https://panopticlick.eff.org/self-defense">hiding your browser's metadata, which can be done via browser plugins such as:</a>
							<ul>
								<li><a href="https://www.eff.org/privacybadger">Privacy Badger</a></li>
								<li><a href="https://addons.mozilla.org/en-US/firefox/addon/modify-headers/">Modify Headers</a></li>
								<li><a href="https://www.requestly.in/">Requestly</a></li>
							</ul>
						</li>
					</ul>
					There are, of course, many other plugins/methods but as always, due diligence is required when finding the right plugin for you.
					Be sure to read multiple reviews.
					Some plugins/extensions even disguise your browser as an entirely different operating system, OS version, etc.
					Feel free to check back on this site after enabling them to test! (You may need to reset your browser's cache.)
				</p>
				<p>
					If you would like to view the <i>server</i> headers, then you can:
					<ul>
						<li>use a service such as <a href="https://securityheaders.io">SecurityHeaders.io</a></li>
						<li>use the <code>--head</code> (<code>-i</code>, <code>-X HEAD</code>, <code>--request HEAD</code>, etc.; all do the same thing) argument to <b><code>curl</code></b></li>
						<li>use the <code>-v</code> (<code>--verbose</code>) argument to <b><code>curl</code></b></li>
						<li>use your browser's built-in developer console (<a href="https://firefox-source-docs.mozilla.org/devtools-user/">on Firefox</a>, <a href="https://developer.chrome.com/docs/devtools/open">on Chrome and Chrome-based browsers</a>)</li>
					</ul>
					There are additionally some extensions/plugins that offer this in a directly-accessible button on the toolbar.
				</p>
				<br />
{{- template "meta.bottom" $page }}
{{- end }}
